Page MenuHomeFreeBSD

devel/skalibs and its consumers: update or mark BROKEN
ClosedPublic

Authored by jbeich on Feb 10 2015, 8:09 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Feb 27, 5:05 PM
Unknown Object (File)
Thu, Feb 15, 2:57 AM
Unknown Object (File)
Sat, Feb 10, 11:55 AM
Unknown Object (File)
Sat, Feb 10, 11:55 AM
Unknown Object (File)
Fri, Feb 9, 2:20 PM
Unknown Object (File)
Thu, Feb 8, 12:35 AM
Unknown Object (File)
Jan 26 2024, 4:49 AM
Unknown Object (File)
Dec 20 2023, 5:21 AM
Subscribers
None

Details

Reviewers
bapt
flo
Group Reviewers
portmgr
Summary
  • devel/skalibs: update to 2.2.1.0 [1]
  • lang/execline: update to 2.0.2.0 [2]
  • Pass maintainership to the submitter [1][2]
  • Mark sysutils/runwhen as BROKEN

PR: 197233 [1]
PR: 197234 [2]
Submitted by: Colin Booth <colin@heliocat.net>
Approved by: maintainer timeout (2 weeks) or portmgr (bapt or ???)
Approved by: bapt or flo (mentors)

Test Plan

devel/skalibs testport logs:
8.4R amd64
9.3R i386
10.0R amd64
10.1i386

lang/execline testport logs:
8.4R amd64
9.3R i386
10.0R amd64
10.1R i386

sysutils/runwhen broken after update:

$ CPATH=/usr/local/include make TRYBROKEN=
Trying build of runwhen-2003.10.31 even though it is marked BROKEN.
===>  Found saved configuration for runwhen-2003.10.31
===>   runwhen-2003.10.31 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by runwhen-2003.10.31 for building
===>  Extracting for runwhen-2003.10.31
=> SHA256 Checksum OK for runwhen-2003.10.31.tar.bz2.
===>  Patching for runwhen-2003.10.31
===>  Applying FreeBSD patches for runwhen-2003.10.31
===>   runwhen-2003.10.31 depends on file: /usr/local/include/skalibs - found
===>  Configuring for runwhen-2003.10.31
echo /usr/local > /work/admin/runwhen-2003.10.31/conf-compile/package_home
echo /usr/local > /work/admin/runwhen-2003.10.31/conf-compile/depend_skalibs
===>  Building for runwhen-2003.10.31
cd /work/admin/runwhen-2003.10.31 && package/compile
Creating directories

Making compile/host/skalibs

Making compile/host/caldelay.o
src/caldelay.c:125:14: error: variable has incomplete type 'struct tai'
  struct tai now;
             ^
src/caldelay.c:125:10: note: forward declaration of 'struct tai'
  struct tai now;
         ^
src/caldelay.c:126:18: error: variable has incomplete type 'struct caltime'
  struct caltime ct;
                 ^
src/caldelay.c:126:10: note: forward declaration of 'struct caltime'
  struct caltime ct;
         ^
src/caldelay.c:167:15: warning: implicit declaration of function 'scan_ulong' is
      invalid in C99 [-Wimplicit-function-declaration]
          len=scan_ulong(x, &c->spec);
              ^
src/caldelay.c:197:18: error: variable has incomplete type 'struct tai'
      struct tai d;
                 ^
src/caldelay.c:125:10: note: forward declaration of 'struct tai'
  struct tai now;
         ^
src/caldelay.c:222:7: warning: implicit declaration of function 'caltime_utc' is
      invalid in C99 [-Wimplicit-function-declaration]
      caltime_utc(&ct, &now, &weekday, null);
      ^
src/caldelay.c:280:24: error: variable has incomplete type 'struct tai'
            struct tai then;
                       ^
src/caldelay.c:125:10: note: forward declaration of 'struct tai'
  struct tai now;
         ^
src/caldelay.c:281:13: warning: implicit declaration of function 'caltime_tai' is
      invalid in C99 [-Wimplicit-function-declaration]
            caltime_tai(&ct, &then);
            ^
src/caldelay.c:295:18: warning: implicit declaration of function 'fmt_ulong' is
      invalid in C99 [-Wimplicit-function-declaration]
        delaybuf[fmt_ulong(delaybuf, delay)]='\0';
                 ^
4 warnings and 4 errors generated.

Making compile/host/delayrun.o
src/delayrun.c:46:28: warning: implicit declaration of function 'scan_ulong' is
      invalid in C99 [-Wimplicit-function-declaration]
    unsigned int const len=scan_ulong(x, &delay);
                           ^
1 warning generated.

Making compile/host/delayrun
cc: error: no such file or directory: './compile/host/skalibs/library/libstddjb.a'

Making compile/host/maxinterval.o
src/maxinterval.c:43:11: warning: implicit declaration of function 'scan_ulong' is
      invalid in C99 [-Wimplicit-function-declaration]
      len=scan_ulong(x, &max);
          ^
src/maxinterval.c:65:16: warning: implicit declaration of function 'fmt_ulong' is
      invalid in C99 [-Wimplicit-function-declaration]
      delaybuf[fmt_ulong(delaybuf, delay)]='\0';
               ^
2 warnings generated.

Making compile/host/maxinterval
cc: error: no such file or directory: './compile/host/skalibs/library/libstddjb.a'

Making compile/host/mininterval.o
src/mininterval.c:40:11: warning: implicit declaration of function 'scan_ulong' is
      invalid in C99 [-Wimplicit-function-declaration]
      len=scan_ulong(x, &delay);
          ^
src/mininterval.c:61:18: warning: implicit declaration of function 'fmt_ulong' is
      invalid in C99 [-Wimplicit-function-declaration]
        delaybuf[fmt_ulong(delaybuf, delay)]='\0';
                 ^
2 warnings generated.

Making compile/host/mininterval
cc: error: no such file or directory: './compile/host/skalibs/library/libstddjb.a'

Making compile/host/rw-add.o
src/rw-add.c:9:15: error: variable has incomplete type 'struct taia'
  struct taia t, t0, t1;
              ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-add.c:9:18: error: variable has incomplete type 'struct taia'
  struct taia t, t0, t1;
                 ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-add.c:9:22: error: variable has incomplete type 'struct taia'
  struct taia t, t0, t1;
                     ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-add.c:13:3: warning: implicit declaration of function 'taia_add' is invalid
      in C99 [-Wimplicit-function-declaration]
  taia_add(&t, &t0, &t1);
  ^
1 warning and 3 errors generated.

Making compile/host/rw-match.o
src/rw-match.c:43:26: error: variable has incomplete type 'const struct taia'
static struct taia const zero=TAIA_ZERO;
                         ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-match.c:121:9: warning: implicit declaration of function 'scan_uint' is
      invalid in C99 [-Wimplicit-function-declaration]
    len=scan_uint(constraint_str, &units[i].spec);
        ^
src/rw-match.c:136:17: error: variable has incomplete type 'struct taia'
    struct taia stamp;
                ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-match.c:141:9: warning: implicit declaration of function 'timeval_from_taia'
      is invalid in C99 [-Wimplicit-function-declaration]
    if (timeval_from_taia(&tv, &stamp)==0) die_range();
        ^
src/rw-match.c:199:17: error: variable has incomplete type 'struct taia'
    struct taia stamp;
                ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-match.c:220:5: warning: implicit declaration of function 'taia_from_timeval'
      is invalid in C99 [-Wimplicit-function-declaration]
    taia_from_timeval(&stamp, &tv);
    ^
3 warnings and 3 errors generated.

Making compile/host/rw-max.o
src/rw-max.c:9:15: error: variable has incomplete type 'struct taia'
  struct taia t0, t1;
              ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-max.c:9:19: error: variable has incomplete type 'struct taia'
  struct taia t0, t1;
                  ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-max.c:13:12: warning: implicit declaration of function 'taia_less' is invalid
      in C99 [-Wimplicit-function-declaration]
  rw_pass((taia_less(&t0, &t1)? &t1: &t0), argv+3);
           ^
1 warning and 2 errors generated.

Making compile/host/rw-min.o
src/rw-min.c:9:15: error: variable has incomplete type 'struct taia'
  struct taia t0, t1;
              ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-min.c:9:19: error: variable has incomplete type 'struct taia'
  struct taia t0, t1;
                  ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-min.c:13:12: warning: implicit declaration of function 'taia_less' is invalid
      in C99 [-Wimplicit-function-declaration]
  rw_pass((taia_less(&t0, &t1)? &t0: &t1), argv+3);
           ^
1 warning and 2 errors generated.

Making compile/host/rw-sleep.o
src/rw-sleep.c:42:17: error: variable has incomplete type 'struct taia'
    struct taia now, wake_time;
                ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-sleep.c:42:22: error: variable has incomplete type 'struct taia'
    struct taia now, wake_time;
                     ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-sleep.c:43:5: warning: implicit declaration of function 'taia_now' is invalid
      in C99 [-Wimplicit-function-declaration]
    taia_now(&now);
    ^
src/rw-sleep.c:45:9: warning: implicit declaration of function 'taia_less' is
      invalid in C99 [-Wimplicit-function-declaration]
    if (taia_less(&wake_time, &now)) flag_sleep=0;
        ^
src/rw-sleep.c:47:7: warning: implicit declaration of function 'taia_sub' is invalid
      in C99 [-Wimplicit-function-declaration]
      taia_sub(&wake_time, &wake_time, &now);
      ^
src/rw-sleep.c:48:11: warning: implicit declaration of function
      'timeval_from_taia_relative' is invalid in C99
      [-Wimplicit-function-declaration]
      if (timeval_from_taia_relative(&timer.it_value, &wake_time)==0)
          ^
4 warnings and 2 errors generated.

Making compile/host/rw-sub.o
src/rw-sub.c:9:15: error: variable has incomplete type 'struct taia'
  struct taia t, t0, t1;
              ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-sub.c:9:18: error: variable has incomplete type 'struct taia'
  struct taia t, t0, t1;
                 ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-sub.c:9:22: error: variable has incomplete type 'struct taia'
  struct taia t, t0, t1;
                     ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-sub.c:13:3: warning: implicit declaration of function 'taia_sub' is invalid
      in C99 [-Wimplicit-function-declaration]
  taia_sub(&t, &t0, &t1);
  ^
1 warning and 3 errors generated.

Making compile/host/rw-touch.o
src/rw-touch.c:12:15: error: variable has incomplete type 'struct taia'
  struct taia t;
              ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw-touch.c:17:7: warning: implicit declaration of function 'timeval_from_taia'
      is invalid in C99 [-Wimplicit-function-declaration]
  if (timeval_from_taia(&tv[0], &t)==0)
      ^
1 warning and 1 error generated.

Making include/runwhen.h

Making compile/host/rw_scan.o
src/rw_scan.c:15:26: error: variable has incomplete type 'const struct taia'
static struct taia const zero=TAIA_ZERO;
                         ^
src/runwhen.h:10:8: note: forward declaration of 'struct taia'
struct taia;
       ^
src/rw_scan.c:26:25: warning: incompatible pointer types passing 'struct taia *' to
      parameter of type 'tain_t *' (aka 'struct tain_s *')
      [-Wincompatible-pointer-types]
      i=tain_scan(text, stamp);
                        ^~~~~
/usr/local/include/skalibs/tai.h:129:54: note: passing argument to parameter here
extern unsigned int tain_scan (char const *, tain_t *) ;
                                                     ^
src/rw_scan.c:30:25: warning: incompatible pointer types passing 'struct taia *' to
      parameter of type 'tain_t *' (aka 'struct tain_s *')
      [-Wincompatible-pointer-types]
      i=tain_scan(text, stamp);
                        ^~~~~
/usr/local/include/skalibs/tai.h:129:54: note: passing argument to parameter here
extern unsigned int tain_scan (char const *, tain_t *) ;
                                                     ^
src/rw_scan.c:34:7: warning: implicit declaration of function 'taia_now' is invalid
      in C99 [-Wimplicit-function-declaration]
      taia_now(stamp);
      ^
src/rw_scan.c:52:15: warning: implicit declaration of function 'taia_secp' is
      invalid in C99 [-Wimplicit-function-declaration]
      tai_u64(taia_secp(stamp), u);
              ^
src/rw_scan.c:52:15: warning: incompatible integer to pointer conversion passing
      'int' to parameter of type 'tai_t *' (aka 'struct tai_s *') [-Wint-conversion]
      tai_u64(taia_secp(stamp), u);
              ^~~~~~~~~~~~~~~~
/usr/local/include/skalibs/tai.h:27:28: note: passing argument to parameter here
extern int tai_u64 (tai_t *, uint64) ;
                           ^
src/rw_scan.c:58:16: warning: incompatible integer to pointer conversion passing
      'int' to parameter of type 'tai_t *' (aka 'struct tai_s *') [-Wint-conversion]
      tai_unix(taia_secp(stamp), u);
               ^~~~~~~~~~~~~~~~
/usr/local/include/skalibs/tai.h:28:32: note: expanded from macro 'tai_unix'
#define tai_unix(t, u) tai_u64(t, (TAI_MAGIC + (u)))
                               ^
/usr/local/include/skalibs/tai.h:27:28: note: passing argument to parameter here
extern int tai_u64 (tai_t *, uint64) ;
                           ^
src/rw_scan.c:61:22: error: variable has incomplete type 'struct caltime'
      struct caltime ct;
                     ^
src/rw_scan.c:61:14: note: forward declaration of 'struct caltime'
      struct caltime ct;
             ^
src/rw_scan.c:66:9: warning: implicit declaration of function 'caltime_scan' is
      invalid in C99 [-Wimplicit-function-declaration]
      i=caltime_scan(text, &ct);
        ^
src/rw_scan.c:78:7: warning: implicit declaration of function 'taia_from_timeval' is
      invalid in C99 [-Wimplicit-function-declaration]
      taia_from_timeval(stamp, &tv);
      ^
8 warnings and 2 errors generated.

The following files were not made successfully:
command/caldelay
command/delayrun
command/maxinterval
command/mininterval
command/rw-add
command/rw-match
command/rw-max
command/rw-min
command/rw-sleep
command/rw-sub
command/rw-touch
library/runwhen.a
*** Error code 1

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage

Event Timeline

jbeich retitled this revision from to devel/skalibs and its consumers: update or mark BROKEN.
jbeich updated this object.
jbeich edited the test plan for this revision. (Show Details)
jbeich added reviewers: portmgr, bapt, flo.

portmgr approval is only required as an early exception before bug 197522 is resolved.

bapt edited edge metadata.

You do not need portmgr approval to mark something as broken due to an update, still a heads up mail to the maintainer is good.

This revision is now accepted and ready to land.Feb 10 2015, 8:12 PM
In D1818#4, @bapt wrote:

You do not need portmgr approval to mark something as broken due to an update, still a heads up mail to the maintainer is good.

It's for devel/skalibs which is owned by @dhn currently. The other two ports are already unmaintained.

Oh then you do have my approval with portmgr hat, dhn is known to have very very little time for FreeBSD for quite a long time